#ifndef LO_H_
#define LO_H_

#include "../src/channel.h"


double LO_ampsq(unsigned int inv_mt_pow, double sp12, double sp13, double sp23, double alphas);

double LO(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch, unsigned int inv_mt_pow, bool check_mzh_cutoff = true);


double LO_0(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);
double LO_2(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);
double LO_4(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);
double LO_6(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);
double LO_8(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);
double LO_10(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);

#endif /* LO_H_ */
