#ifndef NLO_PHASE2_H_
#define NLO_PHASE2_H_

#include "../src/channel.h"


double NLO_phase2(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch, unsigned int inv_mt_pow);

double NLO_phase2_0(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);
double NLO_phase2_2(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);
double NLO_phase2_4(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);
double NLO_phase2_6(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);
double NLO_phase2_8(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);




#endif /* NLO_PHASE2_H_ */
