#ifndef NLO_PHASE2ETA_H_
#define NLO_PHASE2ETA_H_

#include "../src/channel.h"


double NLO_phase2eta(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch, unsigned int inv_mt_pow);

double NLO_phase2eta_0(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);
double NLO_phase2eta_2(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);
double NLO_phase2eta_4(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);
double NLO_phase2eta_6(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);
double NLO_phase2eta_8(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);





#endif /* NLO_PHASE2ETA_H_ */
