/*
diagrams of the type

 ggggq
     q q
     q   qZZZ
     q q
     q
     g
     g
     q
     q q
     q   qHHHHH
     q q
gggggq

*/

#ifndef NLO_REDUCIBLE_H_
#define NLO_REDUCIBLE_H_

#include "../src/channel.h"

double NLO_reducible(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch, unsigned int inv_mt_pow);
double NLO_reducible_0(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);
double NLO_reducible_2(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);
double NLO_reducible_4(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);
double NLO_reducible_6(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);
double NLO_reducible_8(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);
double NLO_reducible_exact(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);

#endif /*NLO_REDUCIBLE_H_*/

