
#ifndef PHASE2_H_
#define PHASE2_H_

#include <math.h>
#include "shared.h"


//2-particle phase space = this prefactor * integration over {-1,1,cos(theta)}*1
double phase2prefactor(double arg_s, double arg_m1, double arg_m2);

//2-particle phase space prefactor as above, but one of the 2 incoming particles is scaled 
// by (1-eta). This means we are no longer in the center of mass system. For eta=0 this is
// equivalent to "phase2prefactor".

//Does not seem to yield correct results
double phase2prefactor_nonCMS(double arg_sqrs, double arg_m1, double arg_m2, double eta, double cos);

#endif /* PHASE2_H_ */
