#ifndef NLO_PHASE3_H_
#define NLO_PHASE3_H_

#include "../src/channel.h"


double NLO_collinear_limit_ampsq(unsigned int inv_mt_pow, double eta, double pz, double Ez, double costz, double costg, double sqrs, double alphas);
double NLO_soft_limit_ampsq(unsigned int inv_mt_pow, double pz, double Ez, double costz, double sqrs, double alphas);
double NLO_phase3_full_ampsq(unsigned int inv_mt_pow, double eta, double pz,double Ez,double costz,double costg,double costzg, double sqrs, double alphas);

double NLO_phase3_alt(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch, unsigned int inv_mt_pow);

double NLO_phase3_0(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);
double NLO_phase3_2(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);
double NLO_phase3_4(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);
double NLO_phase3_6(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);
double NLO_phase3_8(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);

#endif /* NLO_PHASE3_H_ */
