#ifndef PADE_H_
#define PADE_H_


double pade22_LO(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);

double pade22_NLO_phase2(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);
double pade22_NLO_phase2eta(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);
double pade22_NLO_phase3(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);
double pade22_NLO_reducible(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);

double pade22_LO_NLO_sum(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);
double pade22_NLO_sum(const double xs[], double sqrs, std::function<double(double)> get_pdfs, const channel * ch);



#endif /* PADE_H_ */
