
#ifndef INTEGRATE_H_
#define INTEGRATE_H_

#include "channel.h"
#include "cuba.h"


void run_integral(const channel & ch, double results[], double errors[], double chi_probs[], bool hadronic, integrand_t integrand);

void run_vegas(const channel & ch, double results[], double errors[], double chi_probs[], bool hadronic, integrand_t integrand);

void run_cuhre(const channel & ch, double results[], double errors[], double chi_probs[], bool hadronic, integrand_t integrand);


#endif /* INTEGRATE_H_ */
